package com.mdd.admin.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("H5渠道Vo")
public class ChannelH5Vo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("是否关闭")
   private Integer status;
   @ApiModelProperty("关闭类型")
   private Integer close;
   @ApiModelProperty("关闭访问")
   private String url;

   public Integer getStatus() {
      return this.status;
   }

   public Integer getClose() {
      return this.close;
   }

   public String getUrl() {
      return this.url;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setClose(Integer close) {
      this.close = close;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelH5Vo)) {
         return false;
      } else {
         ChannelH5Vo other = (ChannelH5Vo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label47;
                  }
               } else if (this$status.equals(other$status)) {
                  break label47;
               }

               return false;
            }

            Object this$close = this.getClose();
            Object other$close = other.getClose();
            if (this$close == null) {
               if (other$close != null) {
                  return false;
               }
            } else if (!this$close.equals(other$close)) {
               return false;
            }

            Object this$url = this.getUrl();
            Object other$url = other.getUrl();
            if (this$url == null) {
               if (other$url != null) {
                  return false;
               }
            } else if (!this$url.equals(other$url)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelH5Vo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $close = this.getClose();
      result = result * 59 + ($close == null ? 43 : $close.hashCode());
      Object $url = this.getUrl();
      result = result * 59 + ($url == null ? 43 : $url.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelH5Vo(status=" + this.getStatus() + ", close=" + this.getClose() + ", url=" + this.getUrl() + ")";
   }
}
